; Equates for PIC16F1825
;

; Configuration word 1
CONFIG_FCMEN_ON		EQU	0xffff
CONFIG_FCMEN_OFF	EQU	0xdfff
CONFIG_IESO_ON		EQU	0xffff
CONFIG_IESO_OFF		EQU	0xefff

CONFIG_CLKOUTEN_ON	EQU	0xf7ff
CONFIG_CLKOUTEN_OFF	EQU	0xffff
CONFIG_BOREN_ON		EQU	0xffff
CONFIG_BOREN_NOSLEEP	EQU	0xfdff
CONFIG_BOREN_SW		EQU	0xfbff
CONFIG_BOREN_OFF	EQU	0xf9ff
CONFIG_CPD_ON		EQU	0xfeff
CONFIG_CPD_OFF		EQU	0xffff

CONFIG_CP_ON		EQU	0xff7f
CONFIG_CP_OFF		EQU	0xffff
CONFIG_MCLRE_ON		EQU	0xffff
CONFIG_MCLRE_OFF	EQU	0xffbf
CONFIG_PWRTE_ON		EQU	0xffdf
CONFIG_PWRTE_OFF	EQU	0xffff
CONFIG_WDTE_ON		EQU	0xffff
CONFIG_WDTE_NOSLEEP	EQU	0xfff7
CONFIG_WDTE_SW		EQU	0xffef
CONFIG_WDTE_OFF		EQU	0xffe7

CONFIG_FOSC_ECH		EQU	0xffff
CONFIG_FOSC_ECM		EQU	0xfffe
CONFIG_FOSC_ECL		EQU	0xfffd
CONFIG_FOSC_INTOSC	EQU	0xfffc
CONFIG_FOSC_EXTRC	EQU	0xfffb
CONFIG_FOSC_HS		EQU	0xfffa
CONFIG_FOSC_XT		EQU	0xfff9
CONFIG_FOSC_LP		EQU	0xfff8

; Configuration word 2
CONFIG_LVP_ON		EQU	0xffff
CONFIG_LVP_OFF		EQU	0xdfff
CONFIG_DEBUG_ON		EQU	0xefff
CONFIG_DEBUG_OFF	EQU	0xffff

CONFIG_BORV_LO		EQU	0xffff
CONFIG_BORV_HI		EQU	0xfbff
CONFIG_BORV_LOW		EQU	0xffff
CONFIG_BORV_HIGH	EQU	0xfbff
CONFIG_STVREN_ON	EQU	0xffff
CONFIG_STVREN_OFF	EQU	0xfdff
CONFIG_PLLEN_ON		EQU	0xffff
CONFIG_PLLEN_OFF	EQU	0xfeff

CONFIG_WRT_OFF		EQU	0xffff
CONFIG_WRT_LO		EQU	0xfffe
CONFIG_WRT_LOW		EQU	0xfffe
CONFIG_WRT_HALF		EQU	0xfffd
CONFIG_WRT_FULL		EQU	0xfffc


; Core registers
INDF0	EQU	0x00
INDF1	EQU	0x01
PCL	EQU	0x02
STATUS	EQU	0x03
C	EQU	0
DC	EQU	1
Z	EQU	2
PD	EQU	3
TO	EQU	4
FSR0L	EQU	0x04
FSR0H	EQU	0x05
FSR1L	EQU	0x06
FSR1H	EQU	0x07
BSR	EQU	0x08
WREG	EQU	0x09
PCLATH	EQU	0x0a
INTCON	EQU	0x0b
IOCIF	EQU	0
INTF	EQU	1
TMR0IF	EQU	2
IOCIE	EQU	3
INTE	EQU	4
TMR0IE	EQU	5
PEIE	EQU	6
GIE	EQU	7

; Bank 0 registers
PORTA	EQU	0x0c
RA0	EQU	0
RA1	EQU	1
RA2	EQU	2
RA3	EQU	3
RA4	EQU	4
RA5	EQU	5

PIR1	EQU	0x11
TMR1IF	EQU	0
TMR2IF	EQU	1
CCP1IF	EQU	2
SSP1IF	EQU	3
TXIF	EQU	4
RCIF	EQU	5
ADIF	EQU	6
TMR1GIF	EQU	7

PIR2	EQU	0x12
BCL1IF	EQU	3
EEIF	EQU	4
C1IF	EQU	5
OSFIF	EQU	7

TMR0	EQU	0x15
TMR1L	EQU	0x16
TMR1H	EQU	0x17
T1CON	EQU	0x18
TMR1ON	EQU	0
T1SYNC	EQU	2
T1OSCEN	EQU	3
T1CKPS	EQU	0x30	; Bitmask
TMR1CS0	EQU	6
TMR1CS1	EQU	7

T1GCON	EQU	0x19
T1GSS	EQU	0x03	; Bitmask
T1GVAL	EQU	2
T1GGO	EQU	3
T1GSPM	EQU	4
T1GTM	EQU	5
T1GPOL	EQU	6
TMR1GE	EQU	7

TMR2	EQU	0x1a
PR2	EQU	0x1b
T2CON	EQU	0x1c
T2CKPS	EQU	0x03	; Bitmask
TMR2ON	EQU	2
T2OUTPS	EQU	0x78	; Bitmask

CPSCON0	EQU	0x1e
T0XCS	EQU	0
CPSOUT	EQU	1
CPSRNG	EQU	0x0c	; Bitmask
CPSRM	EQU	6
CPSON	EQU	7

CPSCON1	EQU	0x1f
CPSCH	EQU	0x03	; Bitmask

; Bank 1 registers
TRISA	EQU	0x8c
TRISA0	EQU	0
TRISA1	EQU	1
TRISA2	EQU	2
TRISA3	EQU	3
TRISA4	EQU	4
TRISA5	EQU	5

PIE1	EQU	0x91
TMR1IE	EQU	0
TMR2IE	EQU	1
CCP1IE	EQU	2
SSP1IE	EQU	3
TXIE	EQU	4
RCIE	EQU	5
ADIE	EQU	6
TMR1GIE	EQU	7

PIE2	EQU	0x92
BCL1IE	EQU	3
EEIE	EQU	4
C1IE	EQU	5
OSFIE	EQU	7

OPTION_REG	EQU	0x95
PS	EQU	0x07	; Bitmask
PSA	EQU	3
TMR0SE	EQU	4
TMR0CS	EQU	5
INTEDG	EQU	6
WPUEN	EQU	7

PCON	EQU	0x96
BOR	EQU	0
POR	EQU	1
RI	EQU	2
RMCLR	EQU	3
STKUNF	EQU	6
STKOVF	EQU	7

WDTCON	EQU	0x97
SWDTEN	EQU	0
WDTPS	EQU	0x3e	; Bitmask

OSCTUNE	EQU	0x98
OSCCON	EQU	0x99
SCS	EQU	0x03	; Bitmask
IRCF	EQU	0x78	; Bitmask
SPLLEN	EQU	7

OSCSTAT	EQU	0x9a
HFIOFS	EQU	0
LFIOFR	EQU	1
MFIOFR	EQU	2
HFIOFL	EQU	3
HFIOFR	EQU	4
OSTS	EQU	5
PLLR	EQU	6
T1OSCR	EQU	7

ADRESL	EQU	0x9b
ADRESH	EQU	0x9c
ADCON0	EQU	0x9d
ADON	EQU	0
GO	EQU	1
CHS	EQU	0x7c	; Bitmask

ADCON1	EQU	0x9e
ADPREF	EQU	0x03	; Bitmask
ADCS	EQU	0x70	; Bitmask
ADFM	EQU	7

; Bank 2 registers
LATA	EQU	0x10c
LATA0	EQU	0
LATA1	EQU	1
LATA2	EQU	2
LATA4	EQU	4
LATA5	EQU	5

CM1CON0	EQU	0x111
C1SYNC	EQU	0
C1HYS	EQU	1
C1SP	EQU	2
C1POL	EQU	4
C1OE	EQU	5
C1OUT	EQU	6
C1ON	EQU	7

CM1CON1	EQU	0x112
C1NCH	EQU	0
C1PCH	EQU	0x30	; Bitmask
C1INTN	EQU	6
C1INTP	EQU	7

CMOUT	EQU	0x115
MC1OUT	EQU	0

BORCON	EQU	0x116
BORRDY	EQU	0
BORFS	EQU	6
SBOREN	EQU	7

FVRCON	EQU	0x117
ADFVR	EQU	0x03	; Bitmask
CDAFVR	EQU	0x0c	; Bitmask
TSRNG	EQU	4
TSEN	EQU	5
FVRRDY	EQU	6
FVREN	EQU	7

DACCON0	EQU	0x118
DACPSS	EQU	0x0c	; Bitmask
DACOE	EQU	5
DACLPS	EQU	6
DACEN	EQU	7

DACCON1	EQU	0x119
DACR	EQU	0x1f	; Bitmask

SRCON0	EQU	0x11a
SRPR	EQU	0
SRPS	EQU	1
SRNQEN	EQU	2
SRQEN	EQU	3
SRCLK	EQU	0x70	; Bitmask
SRLEN	EQU	7

SRCON1	EQU	0x11b
SRRC1E	EQU	0
SRRCKE	EQU	2
SRRPE	EQU	3
SRSC1E	EQU	4
SRSCKE	EQU	6
SRSPE	EQU	7

APFCON0	EQU	0x11d
CCP1SEL	EQU	0
P1BSEL	EQU	1
TXCKSEL	EQU	2
T1GSEL	EQU	3
SSSSEL	EQU	5
SDOSEL	EQU	6
RXDTSEL	EQU	7

; Bank 3 registers
ANSELA	EQU	0x18c
ANSA0	EQU	0
ANSA1	EQU	1
ANSA2	EQU	2
ANSA4	EQU	4

EEADRL	EQU	0x191
EEADRH	EQU	0x192
EEDATL	EQU	0x193
EEDATH	EQU	0x194
EECON1	EQU	0x195
RD	EQU	0
WR	EQU	1
WREN	EQU	2
WRERR	EQU	3
FREE	EQU	4
LWLO	EQU	5
CFGS	EQU	6
EEPGD	EQU	7

EECON2	EQU	0x196
VREGCON	EQU	0x197
VREGPM	EQU	1

RCREG	EQU	0x199
TXREG	EQU	0x19a
SPBRGL	EQU	0x19b
SPBRGH	EQU	0x19c
RCSTA	EQU	0x19d
RX9D	EQU	0
OERR	EQU	1
FERR	EQU	2
ADDEN	EQU	3
CREN	EQU	4
SREN	EQU	5
RX9	EQU	6
SPEN	EQU	7

TXSTA	EQU	0x19e
TX9D	EQU	0
TRMT	EQU	1
BRGH	EQU	2
SENDB	EQU	3
SYNC	EQU	4
TXEN	EQU	5
TX9	EQU	6
CSRC	EQU	7

BAUDCON	EQU	0x19f
ABDEN	EQU	0
WUE	EQU	1
BRG16	EQU	3
SCKP	EQU	4
RCIDL	EQU	6
ABDOVF	EQU	7

; Bank 4 registers
WPUA	EQU	0x20c
WPUA0	EQU	0
WPUA1	EQU	1
WPUA2	EQU	2
WPUA3	EQU	3
WPUA4	EQU	4
WPUA5	EQU	5

SSP1BUF	EQU	0x211
SSP1ADD	EQU	0x212
SSP1MSK	EQU	0x213
SSP1STAT	EQU	0x214
BF	EQU	0
UA	EQU	1
R	EQU	2
S	EQU	3
P	EQU	4
D	EQU	5
CKE	EQU	6
SMP	EQU	7

SSP1CON1	EQU	0x215
SSP1M		EQU	0x0f
CKP		EQU	4
SSP1EN		EQU	5
SSP1OV		EQU	6
WCOL		EQU	7

SSP1CON2	EQU	0x216
SEN		EQU	0
RSEN		EQU	1
PEN		EQU	2
RCEN		EQU	3
ACKEN		EQU	4
ACKDT		EQU	5
ACKSTAT		EQU	6
GCEN		EQU	7

SSP1CON3	EQU	0x217
DHEN	EQU	0
AHEN	EQU	1
SBCDE	EQU	2
SDAHT	EQU	3
BOEN	EQU	4
SCIE	EQU	5
PCIE	EQU	6
ACKTIM	EQU	7

; Bank 5 registers
CCPR1L	EQU	0x291
CCPR1H	EQU	0x292
CCP1CON	EQU	0x293
CCP1M	EQU	0x0f
DC1B	EQU	0x30
P1M	EQU	0xc0

PWM1CON	EQU	0x294
P1DC	EQU	0x7f
P1RSEN	EQU	7

CCP1AS	EQU	0x295
PSS1BD	EQU	0x03
PSS1AC	EQU	0x0c
CCP1AS	EQU	0x70
CCP1ASE	EQU	7

PSTR1CON	EQU	0x296
STR1A		EQU	0
STR1B		EQU	1
STR1SYNC	EQU	4


; Bank 6 registers
; No register in bank 6 on the 12F1840

; Bank 7 registers
IOCAP	EQU	0x391
IOCAP0	EQU	0
IOCAP1	EQU	1
IOCAP2	EQU	2
IOCAP3	EQU	3
IOCAP4	EQU	4
IOCAP5	EQU	5

IOCAN	EQU	0x392
IOCAN0	EQU	0
IOCAN1	EQU	1
IOCAN2	EQU	2
IOCAN3	EQU	3
IOCAN4	EQU	4
IOCAN5	EQU	5

IOCAF	EQU	0x393
IOCAF0	EQU	0
IOCAF1	EQU	1
IOCAF2	EQU	2
IOCAF3	EQU	3
IOCAF4	EQU	4
IOCAF5	EQU	5

CLKRCON	EQU	0x39a
CLKRDIV	EQU	0x07	; Bitmask
CLKRDC	EQU	0x18	; Bitmask
CLKRSLR	EQU	5
CLKROE	EQU	6
CLKREN	EQU	7

MDCON	EQU	0x39c
MDBIT	EQU	0
MDOUT	EQU	3
MDOPOL	EQU	4
MDSLR	EQU	5
MDOE	EQU	6
MDEN	EQU	7

MDSRC		EQU	0x39d
MDMS		EQU	0x0f	; Bitmask
MDMSODIS	EQU	7

MDCARL		EQU	0x39e
MDCL		EQU	0x0f	; Bitmask
MDCLSYNC	EQU	5
MDCLPOL		EQU	6
MDCLODIS	EQU	7

MDCARH		EQU	0x39f
MDCH		EQU	0x0f	; Bitmask
MDCHSYNC	EQU	5
MDCHPOL		EQU	6
MDCHODIS	EQU	7


; Bank 31 registers
STATUS_SHAD	EQU	0xfe4
C_SHAD		EQU	0
DC_SHAD		EQU	1
Z_SHAD		EQU	2
WREG_SHAD	EQU	0xfe5
BSR_SHAD	EQU	0xfe6
PCLATH_SHAD	EQU	0xfe7
FSR0L_SHAD	EQU	0xfe8
FSR0H_SHAD	EQU	0xfe9
FSR1L_SHAD	EQU	0xfea
FSR1H_SHAD	EQU	0xfeb
STKPTR		EQU	0xfed
TOSL		EQU	0xfee
TOSH		EQU	0xfef




