; Equates for PIC12F683
;

; Configuration word 1
CONFIG_FCMEN_ON		EQU	0xffff
CONFIG_FCMEN_OFF	EQU	0xf7ff
CONFIG_IESO_ON		EQU	0xffff
CONFIG_IESO_OFF		EQU	0xfbff
CONFIG_BOREN_ON		EQU	0xffff
CONFIG_BOREN_NOSLEEP	EQU	0xfeff
CONFIG_BOREN_SW		EQU	0xfdff
CONFIG_BOREN_OFF	EQU	0xfcff

CONFIG_CPD_ON		EQU	0xff7f
CONFIG_CPD_OFF		EQU	0xffff
CONFIG_CP_ON		EQU	0xffbf
CONFIG_CP_OFF		EQU	0xffff
CONFIG_MCLRE_ON		EQU	0xffff
CONFIG_MCLRE_OFF	EQU	0xffdf
CONFIG_PWRTE_ON		EQU	0xffef
CONFIG_PWRTE_OFF	EQU	0xffff

CONFIG_WDTE_ON		EQU	0xffff
CONFIG_WDTE_SW		EQU	0xfff7
CONFIG_WDTE_OFF		EQU	0xfff7
CONFIG_FOSC_RC		EQU	0xffff
CONFIG_FOSC_RCIO	EQU	0xfffe
CONFIG_FOSC_INTOSC	EQU	0xfffd
CONFIG_FOSC_INTOSCIO	EQU	0xfffc
CONFIG_FOSC_EC		EQU	0xfffb
CONFIG_FOSC_HS		EQU	0xfffa
CONFIG_FOSC_XT		EQU	0xfff9
CONFIG_FOSC_LP		EQU	0xfff8



; Core registers
INDF	EQU	0x00
INDF0	EQU	0x00	; Alias for INDF
TMR0	EQU	0x01
PCL	EQU	0x02
STATUS	EQU	0x03
C	EQU	0
DC	EQU	1
Z	EQU	2
PD	EQU	3
TO	EQU	4
RP0	EQU	5
RP1	EQU	6	; Reserved, always set to 0
IRP	EQU	7	; Reserved, always set to 0
FSR	EQU	0x04
FSR0L	EQU	0x04	; Alias for FSR
GPIO	EQU	0x05
GPIO0	EQU	0
GPIO1	EQU	1
GPIO2	EQU	2
GPIO3	EQU	3
GPIO4	EQU	4
GPIO5	EQU	5
PCLATH	EQU	0x0a
INTCON	EQU	0x0b
GPIF	EQU	0
IOCIF	EQU	0	; Alias for GPIF
INTF	EQU	1
T0IF	EQU	2
TMR0IF	EQU	2	; Alias for T0IF
GPIE	EQU	3
IOCIE	EQU	3	; Alias for GPIE
INTE	EQU	4
T0IE	EQU	5
TMR0IE	EQU	5	; Alias for T0IE
PEIE	EQU	6
GIE	EQU	7

; Bank 0 registers
PIR1	EQU	0x0c
EEIF	EQU	7
ADIF	EQU	6
CCP1IF	EQU	5
CMIF	EQU	3
OSFIF	EQU	2
TMR2IF	EQU	1
TMR1IF	EQU	0


TMR1	EQU	0x0e	; For reference in wordops macros
TMR1L	EQU	0x0e
TMR1H	EQU	0x0f
T1CON	EQU	0x10
T1GINV	EQU	7
TMR1GE	EQU	6
T1CKPS1	EQU	5
T1CKPS0	EQU	4
T1OSCEN	EQU	3
T1SYNC	EQU	2
TMR1CS	EQU	1
TMR1ON	EQU	0

TMR2	EQU	0x11
T2CON	EQU	0x12
TOUTPS	EQU	0x78	; Bitmask
TMR2ON	EQU	2
T2CKPS	EQU	0x03	; Bitmask

CCPR1	EQU	0x13
CCPR1L	EQU	0x13
CCPR1H	EQU	0x14
CCP1CON	EQU	0x15
DC1B	EQU	0x30	; Bitmask
CCP1M	EQU	0x0f	; Bitmask

WDTCON	EQU	0x18
SWDTEN	EQU	0
WDTPS	EQU	0x1e	; Bitmask

CMCON0	EQU	0x19
COUT	EQU	6
CINV	EQU	4
CIS	EQU	3
CM	EQU	0x07	; Bitmask
CMCON1	EQU	0x1a
T1GSS	EQU	1
CMSYNC	EQU	0

ADRESH	EQU	0x1e
ADCON0	EQU	0x1f
ADFM	EQU	7
VCFG	EQU	6
CHS	EQU	0x0c
GO	EQU	1
ADON	EQU	0


; Bank 1 registers
OPTION_REG	EQU	0x81
PS	EQU	0x07	; Bitmask
PSA	EQU	3
T0SE	EQU	4
TMR0SE	EQU	4	; Alias for T0SE
T0CS	EQU	5
TMR0CS	EQU	5	; Alias for T0CS
INTEDG	EQU	6
GPPU	EQU	7
WPUEN	EQU	7	; Alias for GPPU

TRISIO		EQU	0x85
TRISIO0	EQU	0
TRISIO1	EQU	1
TRISIO2	EQU	2
TRISIO3	EQU	3
TRISIO4	EQU	4
TRISIO5	EQU	5

PIE1	EQU	0x8c
EEIE	EQU	7
ADIE	EQU	6
CCP1IE	EQU	5
CMIE	EQU	3
OSFIE	EQU	2
TMR2IE	EQU	1
TMR1IE	EQU	0



PCON	EQU	0x8e
BOR	EQU	0
POR	EQU	1
SBOREN	EQU	4
ULPWUE	EQU	5

OSCCON	EQU	0x8f
SCS	EQU	0
LTS	EQU	1
HTS	EQU	2
OSTS	EQU	3
IRCF	EQU	0x70	; Bitmask
OSCTUNE	EQU	0x90

PR2	EQU	0x92

WPU	EQU	0x95
WPU5	EQU	5
WPU4	EQU	4
WPU2	EQU	2
WPU1	EQU	1
WPU0	EQU	0

IOC	EQU	0x96
IOC5	EQU	5
IOC4	EQU	4
IOC3	EQU	3
IOC2	EQU	2
IOC1	EQU	1
IOC0	EQU	0

VRCON	EQU	0x99
VREN	EQU	7
VRR	EQU	5
VR	EQU	0x0f	; Bitmask

EEDAT	EQU	0x9a
EEADR	EQU	0x9b
EECON1	EQU	0x9c
RD	EQU	0
WR	EQU	1
WREN	EQU	2
WRERR	EQU	3
EECON2	EQU	0x9d


ADRESL	EQU	0x9e
ANSEL	EQU	0x9f
ADCS	EQU	0x70	; Bitmask
ANS	EQU	0x0f	; Bitmask

