#ifndef _PSECT_H_
#define _PSECT_H_

#include <stdio.h>

#define PS_CODE         1
#define PS_EEDATA       2
#define PS_CONFIG       3
#define PS_COMMON       4
#define PS_LINEAR       5
#define PS_BANKANY	9
#define PS_BANK0        10

#define DEFAULT_PSECT	"default"

/* PSECT data structure */
struct psect {
  int pnum;	/* Internal PSECT reference number */
  char *pname;  /* Name of this psect */
  int class;    /* PSECT class */
  int start;    /* Start address, or -1 for relocatable */
  int length;   /* Length of PSECT in words/bytes */
  int lc;       /* Location counter, relative to PSECT start */
};
typedef struct psect psect_t;


struct psect_list {
  struct psect_list *next;
  struct psect *p;
};
typedef struct psect_list * PsectList;

extern struct psect * curpsect;


extern void psAssign(void);
extern void psDoDirective(const char * params);
extern void psInit(const int nbanks);
extern void psSetBanks(const int nbanks);

extern void psResetAll(void);
extern int psIsHexMem(int class);
extern int psAddrBase(const int pnum);

extern void psDump(FILE *pfp);


#endif
