#include <ctype.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "rc.h"


rc *rcLoadFile(const char *rcfile)
{
  char buf[1024];
  char *cp;
  char *n = (char *)malloc(sizeof(buf));
  char *v = (char *)malloc(sizeof(buf));
  char *bp;
  FILE *fp;
  rc *r;
  rcentry *e;

  if ((fp = fopen(rcfile, "r")) == NULL) {
    // It may be okay if the file doesn't exist. Let the caller
    // deal with that possibility.
    //
    return NULL;
  }

  r = (rc *)malloc(sizeof(rc));
  r->head = NULL;

  while (fgets(buf, sizeof(buf)-1, fp) != NULL) {
    cp = buf;
    if ((*cp == '#') || (*cp == '\n') || (*cp == '\0')) continue;
//    printf("*cp = '%s'\n", cp);

    while (*cp != '\0') {
        // Read a name
        n[0] = '\0';
        bp = n;
        while ((*cp != '\0') && (*cp != '=')) *(bp++) = *(cp++);
        *bp = '\0';
//      printf("DEBUG: read name '%s'\n", n);

        // Read value
        v[0] = '\0';
        bp = v;
        if (*cp == '=') cp++;
//      printf("DEBUG: *cp = '%s'\n", cp);
        while ((*cp != '\0') && (*cp != '\n')) *(bp++) = *(cp++);
        *bp = '\0';
//      printf("DEBUG: *n = '%s', *v = '%s'\n", n, v);

        //
        //  If n != "" add a ValuePair to the list
        //

        if (isgraph(*n)) {
            // params.Add(new ValuePair(n,v));
            e = (rcentry *)malloc(sizeof(rcentry));
            e->vp = vpCreate(n,v);
            if (r->head) {
              e->next = r->head;
              r->head = e;
            } else {
              e->next = NULL;
              r->head = e;
            }
        }
    }  // while *cp != '\0'
  }  // while fgets()
  free(v);
  free(n);

  fclose(fp);

  return r;
}


void rcDestroy(rc *r)
{
  rcentry *e;

  while (r->head) {
    e = r->head;
    r->head = (r->head)->next;
    vpDestroy(e->vp);
    free(e);
  }
  free(r);
}


char *rcValue(const rc *r, const char *n)
{
  rcentry *e;

  if (r == NULL) return NULL;
  e = r->head;

  while (e != NULL) {
    if ((e->vp) && ((e->vp)->name != NULL)) {
      if (!strncmp((e->vp)->name, n, strlen(n)+1)) return (e->vp)->value;
    }
    e = e->next;
  }
  return NULL;
}


