#ifndef _STATEMENTS_H_
#define _STATEMENTS_H_


// Labels beginning with a '@' (period) will be interpreted as local labels.

struct statelist {
  struct statelist *next;
  char *label;
  char *opcode;
  char *operands;
  char *comment;
  unsigned int flags;
};

typedef struct statelist StateList;


// Create a new statement list and return pointer to head entry.
StateList ** stInit(void);

// Destroy a statement list. *sl will be null on return.
extern void stDestroy(StateList ** sl);

// Add a statement to the end of the list
extern void stAdd(StateList **sl, const char *l, const char *op,
        const char *operands, const char *c);

// Read back the statement list.  Each call advances *sl to the
// next statement until end.
extern void stUse(StateList **sl, char *l, char *op, char *operands, char *comment);

// Dump the statement list to file 'lfp'
extern void stDump(StateList **sl, FILE *lfp);



#endif
